All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Interface DocumentInterface

All Superinterfaces:
  MetadataInterface, PublicObjectInterface, java.rmi.Remote

All Known Subinterfaces:
  NoteInterface

    public interface DocumentInterface

extends MetadataInterface

This is a simple interface for representing documents that are coming from a metadata repository.

Field Summary

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Method Summary
`void` | `addObject(MetadataInterface newObject)` Add an object to the document's Objects association.
`java.lang.String` | `getDocumentType()`
`java.util.List` | `getObjects()` Get the List of Objects associated to this Document.
`java.lang.String` | `getTextRole()`
`java.lang.String` | `getTextType()`
`java.lang.String` | `getURI()`
`void` | `removeObject(MetadataInterface object)` Remove an object from the document's Objects association.
`void` | `setObjects(java.util.List objectList)` Set the list of objects in the document's Objects association.
`void` | `setTextRole(java.lang.String role)`
`void` | `setTextType(java.lang.String type)`
`void` | `setURI(java.lang.String uri)`

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Method Detail

### getTextRole

    java.lang.String getTextRole()
                                 throws ServiceException,
                                        java.rmi.RemoteException

  Returns:
    The document's text role.
  Throws:
    `ServiceException` - In the event of a service level error.
    `java.rmi.RemoteException` - in the event of remote object failure.

### getTextType

    java.lang.String getTextType()
                                 throws ServiceException,
                                        java.rmi.RemoteException

  Returns:
    The document's text type.
  Throws:
    `ServiceException` - In the event of a service level error.
    `java.rmi.RemoteException` - in the event of remote object failure.

### getURI

    java.lang.String getURI()
                            throws ServiceException,
                                   java.rmi.RemoteException

  Returns:
    The document URI.
  Throws:
    `ServiceException` - In the event of a service level error.
    `java.rmi.RemoteException` - in the event of remote object failure.

### setTextRole

    void setTextRole(java.lang.String role)
                     throws ServiceException,
                            java.rmi.RemoteException

  Parameters:
    `role` - The new text role for the document.
  Throws:
    `ServiceException` - In the event of a service level error.
    `java.rmi.RemoteException` - in the event of remote object failure.

### setTextType

    void setTextType(java.lang.String type)
                     throws ServiceException,
                            java.rmi.RemoteException

  Parameters:
    `type` - The new text type for the document.
  Throws:
    `ServiceException` - In the event of a service level error.
    `java.rmi.RemoteException` - in the event of remote object failure.

### setURI

    void setURI(java.lang.String uri)
                throws ServiceException,
                       java.rmi.RemoteException

  Parameters:
    `uri` - The new document URI.
  Throws:
    `ServiceException` - In the event of a service level error.
    `java.rmi.RemoteException` - in the event of remote object failure.

### getDocumentType

    java.lang.String getDocumentType()
                                     throws ServiceException,
                                            java.rmi.RemoteException

  Returns:
    The document type.
  Throws:
    `ServiceException` - In the event of a service level error.
    `java.rmi.RemoteException` - in the event of remote object failure.

### addObject

    void addObject(MetadataInterface newObject)
                   throws ServiceException,
                          java.rmi.RemoteException

  Add an object to the document's Objects association.

  Parameters:
    `newObject` - The object add to the Objects association.
  Throws:
    `ServiceException` - In case of a service level error.
    `java.rmi.RemoteException` - In the event of remote object failure.

### removeObject

    void removeObject(MetadataInterface object)
                      throws ServiceException,
                             java.rmi.RemoteException

  Remove an object from the document's Objects association.

  Parameters:
    `object` - The object to remove from the Objects association.
  Throws:
    `ServiceException` - In case of a service level error.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setObjects

    void setObjects(java.util.List objectList)
                    throws ServiceException,
                           java.rmi.RemoteException

  Set the list of objects in the document's Objects association.

  Parameters:
    `objectList` - The list of Objects associated to this document.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getObjects

    java.util.List getObjects()
                              throws ServiceException,
                                     java.rmi.RemoteException

  Get the List of Objects associated to this Document.

  Returns:
    The list of associated objects.
  Throws:
    `ServiceException` - If a serice level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.